{ withSystem, self, inputs, ...}:
{
  flake = {
    nixosConfigurations = {
      biolimo = self.nixos-flake.lib.mkLinuxSystem {
        nixpkgs.hostPlatform = "x86_64-linux";
        imports = [
          self.nixosModules.base
          ./biolimo
          self.nixosModules.b12f
        ];
      };

      chocolatebar = self.nixos-flake.lib.mkLinuxSystem {
        nixpkgs.hostPlatform = "x86_64-linux";
        imports = [
          self.nixosModules.base
          ./chocolatebar
          self.nixosModules.b12f
        ];
      };

      pie = self.nixos-flake.lib.mkLinuxSystem {
        nixpkgs.hostPlatform = "aarch64-linux";
        imports = [
          self.nixosModules.base
          inputs.nixos-hardware.nixosModules.raspberry-pi-4
          ./pie
          self.nixosModules.yule
        ];
      };

      # maoam = self.nixos-flake.lib.mkLinuxSystem {
      #   nixpkgs.hostPlatform = "aarch64-linux";
      #   imports = [
      #     self.nixosModules.base
      #     ./maoam
      #     self.nixosModules.yule
      #   ];
      # };
    };
  };
}
