{
  lib,
  config,
  pkgs,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
  cfg = config.pub-solar.arduino;
in {
  options.pub-solar.arduino = {
    enable = mkEnableOption "Life with home automation";
  };
  config = mkIf cfg.enable {
    users.users = pkgs.lib.setAttrByPath [psCfg.user.name] {
      extraGroups = ["dialout"];
    };

    home-manager = with pkgs;
      pkgs.lib.setAttrByPath ["users" psCfg.user.name] {
        home.packages = [
          arduino
          arduino-cli
        ];
      };
  };
}
