{
  config,
  pkgs,
  lib,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
  cfg = config.pub-solar.core;
in {
  environment = {
    systemPackages = with pkgs;
      [
        # Core unix utility packages
        coreutils-full
        dnsutils
        inetutils
        progress
        pciutils
        usbutils

        wget
        openssl
        openssh
        curl
        htop
        btop
        lsof
        psmisc
        file

        # zippit
        zip
        unzip

        # Modern modern utilities
        p7zip
        croc
        jq
      ]
      ++ lib.optionals (!cfg.lite) [
        mtr

        gitFull
        git-lfs
        git-bug

        xdg-utils
        sysfsutils
        renameutils
        nfs-utils
        moreutils
        mailutils
        keyutils
        input-utils
        elfutils
        binutils
        dateutils
        diffutils
        findutils
        exfat

        # Nix specific utilities
        alejandra
        niv
        manix
        nix-index
        nix-tree
        nixpkgs-review
        # Build broken, python2.7-PyJWT-2.0.1.drv' failed
        #nixops
        psos
        nvd

        # Fun
        neofetch
      ];
  };
}
