channels: final: prev: {
  __dontExport = true; # overrides clutter up actual creations

  inherit
    (channels.latest)

    nixd
    ;

  inherit
    (channels.fix-yubikey-agent)

    yubikey-agent
    ;

  inherit
    (channels.master)

    factorio-headless
    paperless-ngx
    waybar
    element-desktop
    signal-desktop
    ;

  haskellPackages =
    prev.haskellPackages.override
    (old: {
      overrides = prev.lib.composeExtensions (old.overrides or (_: _: {})) (hfinal: hprev: let
        version = prev.lib.replaceChars ["."] [""] prev.ghc.version;
      in {
        # same for haskell packages, matching ghc versions
        inherit
          (channels.latest.haskell.packages."ghc${version}")
          haskell-language-server
          ;
      });
    });

  vimPlugins = prev.vimPlugins // {inherit (channels.latest.vimPlugins) nvim-lspconfig;};
}
